<?php

// agencies.getStats
$agencyAdd_sig = array(
    array($GLOBALS['XML_RPC_Int'], 
        $GLOBALS['XML_RPC_String'], 
        $GLOBALS['XML_RPC_String'], 
        $GLOBALS['XML_RPC_String'],
        )
    );
$agencyAdd_doc = "Accepts agency data, returns agency ID if agency is successfully added.";
$agencyAdd_alias = 'agency.add';
/*
+-------------+--------------+------+-----+---------+----------------+
| Field       | Type         | Null | Key | Default | Extra          |
+-------------+--------------+------+-----+---------+----------------+
| agencyid    | mediumint(9) |      | PRI | [NULL]  | auto_increment |
| name        | varchar(255) |      |     |         |                |
| contact     | varchar(255) | YES  |     | [NULL]  |                |
| email       | varchar(64)  |      |     |         |                |
| username    | varchar(64)  | YES  |     | [NULL]  |                |
| password    | varchar(64)  | YES  |     | [NULL]  |                |
| active      | smallint(1)  |      |     | 0       |                |
| permissions | mediumint(9) | YES  |     | [NULL]  |                |
| language    | varchar(64)  | YES  |     | [NULL]  |                |
+-------------+--------------+------+-----+---------+----------------+

*/
require_once 'Text/Password.php';

// name, contact, email, username, password
function Max_RPC_Server_agencyAdd($msg)
{
    // get passed params
    $name = $msg->getParam(0);
    $contact = $msg->getParam(1);
    $email = $msg->getParam(2);
    $logoutURL = $msg->getParam(3);
        
    // auto generate username & password    
    $username = Text_Password::create();
    $password = Text_Password::create();
    
    $aParams = array(
        'name'      =>  $name->scalarval(),
        'contact'   =>  $contact->scalarval(),
        'email'     =>  $email->scalarval(),
        'username'  =>  $username->scalarval(),
        'password'  =>  md5($password->scalarval()),
        'logout_url' => $logoutURL->scalarval(),
        );
    
    require_once MAX_PATH . '/lib/max/Admin_DA.php';
    $ret = Admin_DA::addAgency($aParams);
    
    //  check for valid DB results
    if (PEAR::isError($ret)) {
        $errorCode = $XML_RPC_erruser + $ret->getCode();
        $errorMsg  = 'PEAR error: ' . $ret->getMessage();
        $return =  new XML_RPC_Response(0, $errorCode, $errorMsg);
    } else {
        $aAgency = array();
        $aAgency['agency_id'] = new XML_RPC_Value($ret, "int");
        $aAgency['username'] = new XML_RPC_Value($username, "string");
        $aAgency['password'] = new XML_RPC_Value($password, "string");
        
        $result = new XML_RPC_Value($aAgency, "struct");
        $return = new XML_RPC_Response($result);
    }
    return $return;
}

?>
