<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: test.php 3327 2005-06-09 15:11:22Z andrew $
*/

require_once '../../../init.php';
require_once MAX_PATH . '/lib/max/RPC/Remote.php';

if (isset($_GET['cmd'])) {
    $agencyId = 1;
    
    $config = './conf.ini';
    $remote = new MAX_RPC_Remote($config);
    
    switch ($_GET['cmd']) {
        
    case 'activate':  
        $res = $remote->call('agency.activate', $agencyId);
        break;
        
    case 'deactivate':
        $res = $remote->call('agency.deactivate', $agencyId);
        break;
    
    case 'getStats':
        $res = $remote->call('agencies.getStats', array(1, 2), '2005-05-22 10:00:00', '2005-05-24 10:00:00');
        break;
        
    case 'listMethods':
        $res = $remote->call('system.listMethods');
        break;
        
    case 'methodHelp':
        $res = $remote->call('system.methodHelp', 'agencies.getStats');
        break;
        
    case 'methodSignature':
        $res = $remote->call('system.methodSignature', 'agencies.getStats');
        break;
    
    case 'add':
        $name       =   'Agency - M3';
        $contact    =   'James Floyd';
        $email      =   'james@m3.net';
        $username   =   'jfloyd';
        $password   =   '123';
        $res = $remote->call('agency.add', $name, $contact, $email, $username, $password);
        break;        
    }
    
    if (PEAR::isError($res)) {
        echo '<pre>'; print_r($res).'\n';
    }
}

?>
<html>
<body>
<p><a href="test.php">reset</a></p>
<p><a href="?cmd=activate">activate</a></p>
<p><a href="?cmd=deactivate">deactivate</a></p>
<p><a href="?cmd=getStats">getStats</a></p>
<p><a href="?cmd=listMethods">listMethods</a></p>
<p><a href="?cmd=methodHelp">methodHelp</a></p>
<p><a href="?cmd=methodSignature">methodSignature</a></p>
<p><a href="?cmd=add">add agency</a></p>
</body>
</html>
